.footer {
    font-weight: 500;
    font-size: rem(14);
    line-height: 150%;

    &__primary {
        padding: rem(20) 0;
    }

    &__info {
        margin-bottom: rem(20);
        padding-bottom: rem(20);
        border-bottom: 1px solid rgba(255, 255, 255, 0.10);
    }

    &__logo {
        width: 158px;
        display: block;
    }

    &__text {
        margin-top: rem(20);
    }

    &__links {

    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(20);
        }
    }

    &__secondary {
        padding: rem(20) 0;
        border-top: 1px solid rgba(255, 255, 255, 0.10);
    }

    &__copy {
        margin-bottom: rem(10);
    }

    &__policy {
        color: $white;
        text-decoration: none;
        transition: .3s;

        &:hover {
            color: $turquoise;
            text-decoration: none;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {

        &__primary {
            padding: rem(40) 0;
            display: flex;
            justify-content: space-between;
        }

        &__info {
            margin-bottom: 0;
            padding-bottom: 0;
            border-bottom: none;
        }

        &__item {

            &:not(:last-child) {
                margin-bottom: rem(20);
            }
        }

        &__secondary {
            padding: rem(40) 0;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__copy {
            margin: 0;
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(20);

        &__secondary {
            padding-bottom: rem(100);
        }
    }
}

.footer-link {
    color: $white;
    display: inline-flex;
    align-items: center;
    text-decoration: none;
    transition: .3s;

    &:hover {
        color: $turquoise;
        text-decoration: none;
        transition: .3s;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        width: rem(40);
        height: rem(40);
        border-radius: 50%;
        margin-right: rem(10);
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(50px);
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            flex-shrink: 0;
            height: rem(20);
            display: inline-block;
        }
    }

    &__text {
        display: inline-block;
    }

    @include media-breakpoint-up(xl) {

        &__icon {
            width: rem(48);
            height: rem(48);
            margin-right: rem(15);

            i {
                height: rem(24);
            }
        }
    }
}
